<?php
class AddedDiscountCodeColumnToPackages extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Added_discount_code_column_to_packages';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'activity_packages' => array(
					'api_discount_code' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 45, 'collate' => 'utf8_general_ci', 'charset' => 'latin1', 'after' => 'api_reference'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'activity_packages' => array('api_discount_code'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
